MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025912Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-03-11 13:132015-05-14 16:31
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025912: Exception during reading STEP file with GD&T
DescriptionReading STEP file with GD&T leads to exception:
** Exception ** 00843FE0 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at a
ddress 0x00000010 during 'READ' operation
Steps To Reproducepload ALL
ReadStep D GDT_exc.stp
TagsNo tags attached.
Test case numberbugs step(014) bug25912
Attached Files? file icon GDT_exc.stp (457,921 bytes) 2015-03-11 13:13

- Relationships

-  Notes
(0038249)
git (administrator)
2015-03-11 13:27

Branch CR25912 has been created by ika.

SHA-1: 64bac6739b1418691d1093d64bfd418548b6e3da


Detailed log of new commits:

Author: ika
Date: Wed Mar 11 13:23:00 2015 +0300

    0025912: Exception during reading STEP file with GD&T
    add missing "break" statements.
(0038250)
ika (developer)
2015-03-11 13:29

Dear GKA,
could you please review branch CR25912?
(0038383)
gka (developer)
2015-03-16 10:45

Branch CR25912 is ready to be tested
(0038387)
git (administrator)
2015-03-16 12:34

Branch CR25912 has been updated forcibly by mkv.

SHA-1: c851a400a4823f93e178df10bf0d4ef1b274b489
(0038646)
mkv (tester)
2015-03-18 15:19

Dear BugMaster,
Branch CR25912 was rebased on current master of occt git-repository.
(0038647)
git (administrator)
2015-03-18 15:22

Branch CR25912 has been updated by mkv.

SHA-1: 4c2053138175c2cb7bbcc3cb94d84f9adebdf85b


Detailed log of new commits:

Author: mkv
Date: Wed Mar 18 15:21:46 2015 +0300

    Test case for issue CR25912

(0038648)
mkv (tester)
2015-03-18 15:22

Dear BugMaster,
Branch CR25912 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c851a400a4823f93e178df10bf0d4ef1b274b489

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25912-master-occt-64/Debian60-64/bugs/step/bug25912.html [^]
http://occt-tests/CR25912-master-occt-64/Windows-64-VC10/bugs/step/bug25912.html [^]
bugs step(014) bug25912: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90052042 / 90076529
Total CPU difference: 58048.87000000004 / 58911.039999999986
products component :
Total MEMORY difference: 23033683 / 23019107
Total CPU difference: 15387.109999999973 / 16005.68999999998

Testing on Windows:
occt component :
Total MEMORY difference: 58089946 / 58093704
Total CPU difference: 52642.671875 / 57284.859375
products component :
Total MEMORY difference: 15060757 / 15062719
Total CPU difference: 17284.9375 / 16753.3125

There are no differences in images found by testdiff.
(0041024)
git (administrator)
2015-05-14 16:31

Branch CR25912 has been deleted by inv.

SHA-1: 4c2053138175c2cb7bbcc3cb94d84f9adebdf85b

- Related Changesets
occt: master 08e46475
Timestamp: 2015-03-19 13:10:39
Author: ika
Committer: bugmaster
Details ] Diff ]
0025912: Exception during reading STEP file with GD&T

add missing "break" statements.

Test case for issue CR25912
mod - src/RWStepAP214/RWStepAP214_GeneralModule.cxx Diff ] File ]
add - tests/bugs/step/bug25912 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-11 13:13 ika New Issue
2015-03-11 13:13 ika Assigned To => ika
2015-03-11 13:13 ika File Added: GDT_exc.stp
2015-03-11 13:27 git Note Added: 0038249
2015-03-11 13:29 ika Note Added: 0038250
2015-03-11 13:29 ika Assigned To ika => gka
2015-03-11 13:29 ika Status new => resolved
2015-03-16 10:45 gka Note Added: 0038383
2015-03-16 10:45 gka Assigned To gka => bugmaster
2015-03-16 10:45 gka Status resolved => reviewed
2015-03-16 12:20 mkv Assigned To bugmaster => mkv
2015-03-16 12:34 git Note Added: 0038387
2015-03-18 15:19 mkv Note Added: 0038646
2015-03-18 15:22 git Note Added: 0038647
2015-03-18 15:22 mkv Note Added: 0038648
2015-03-18 15:22 mkv Assigned To mkv => bugmaster
2015-03-18 15:22 mkv Status reviewed => tested
2015-03-18 15:22 mkv Test case number => bugs step(014) bug25912
2015-03-20 13:34 bugmaster Changeset attached => occt master 08e46475
2015-03-20 13:34 bugmaster Status tested => verified
2015-03-20 13:34 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:31 git Note Added: 0041024


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker